Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002314 [JEDI VCL] 00 JVCL Components minor always 2004-11-12 15:55 2006-06-08 02:44
Reporter glchapman View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002314: JvInspector paints incorrectly when UseBands = True
Description When the UseBands property is True, TJvInspector does not draw the property names or buttons for items in the second band. (You can see this by running the InspectorSimpleExample after changing the UseBands property to True). I believe the problem is in TJvInspectorBorlandNETBasePainter.SetupRects: the various uses of Inspector.DividerAbs should really be using ItemRect2.Left+Inspector.DividerAbs, since, in bands after the first, ItemRect2.Left > 0 (it is the left boundary of the band).
Additional Information It would probably be worthwhile to cache the value of ItemRect2.Left+Inspector.DividerAbs in a local for the routine, rather than recalculating it several times.
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0005801)
anonymous (viewer)
2004-12-01 12:37

Here's a couple of other cosmetic problems.

1) If you use a font which produces a text height > 16, inspectors don't draw correctly (the rows are too short, so the text is cut off). I think TJvInspector should override FontChanged and update its ItemHeight based on the height of the current font.

2) TJvInspectorBooleanItem: when using larger ItemHeights, the checkboxes are drawn too high in the value area. I think TJvInspectorBooleanItem.DrawValue should either increase the size of the checkboxes (based on the height ov the value area) or vertically center the checkboxes in the value area.
(0007942)
marcelb (manager)
2005-09-17 13:18

Hmm, who changed that code? I'm positive that worked in the version I released, but lots of changes have been made at a later point (either to improve the performance, or add new features.

To the author of the anonymous note: please create separate bug reports; these two things have nothing to do with this bug.
(0008839)
obones (administrator)
2006-04-03 05:59

Does this still happen in the latest version?
(0009436)
obones (administrator)
2006-06-08 02:44

Well, no answers, I'm assuming this is fixed in the latest daily version:

http://jvcl.sf.net/daily/ [^]

- Issue History
Date Modified Username Field Change
2004-11-12 15:55 glchapman New Issue
2004-12-01 12:37 anonymous Note Added: 0005801
2005-09-17 13:18 marcelb Note Added: 0007942
2006-04-03 05:59 obones Note Added: 0008839
2006-04-03 05:59 obones Status new => feedback
2006-06-08 02:44 obones Status feedback => resolved
2006-06-08 02:44 obones Resolution open => fixed
2006-06-08 02:44 obones Assigned To => obones
2006-06-08 02:44 obones Note Added: 0009436


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker